[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: OpenShift Origin installation issues



On Wed, Jun 12, 2013 at 02:24:21PM +0200, Jan Pazdziora wrote:
> 
> So I went with RHEL 6.4. When I do the
> 
> 	yum install -y puppet facter tar
> 
> step I get puppet-2.6.18-3.el6 installed from EPEL. As a result
> 
>        puppet module install openshift/openshift_origin
> 
> fails with
> 
> 	Error: Unknown command module.
> 	Usage: puppet command <space separated arguments>
> 	Available commands are: agent, apply, cert, describe, doc, filebucket, i nspect, kick, master, queue, resource
> 
> If I try to use the latest greatest puppet from
> 
>  	http://yum.puppetlabs.com/el/6Server/products/x86_64/
> 
> I get
> 
> 	Error: Package: puppet-3.2.1-1.el6.noarch (puppet)
> 		   Requires: ruby-rgen
> 
> when even attempting to install puppet.

I ended up installing

	puppet-3.1.1-1.el6

from puppetlabs repo and with that, puppet module install passes and
I'm able to start the puppet apply command.

But I soon start to see errors like

Error: /usr/bin/scl enable ruby193 "gem install rspec --version 1.3.0 --no-rdoc --no-ri" ; \
          /usr/bin/scl enable ruby193 "gem install fakefs --no-rdoc --no-ri" ; \
          /usr/bin/scl enable ruby193 "gem install httpclient --version 2.3.2 --no-rdoc --no-ri" ; returned 1 instead of one of [0]
Error: /Stage[main]/Openshift_origin/Exec[gems to enable rhc in scl-193]/returns: change from notrun to 0 failed: /usr/bin/scl enable ruby193 "gem install rspec --version 1.3.0 --no-rdoc --no-ri" ; \
          /usr/bin/scl enable ruby193 "gem install fakefs --no-rdoc --no-ri" ; \
          /usr/bin/scl enable ruby193 "gem install httpclient --version 2.3.2 --no-rdoc --no-ri" ; returned 1 instead of one of [0]
Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install ruby193-rubygem-archive-tar-minitar' returned 1: Error: Nothing to do

Error: /Stage[main]/Openshift_origin/Package[ruby193-rubygem-archive-tar-minitar]/ensure: change from absent to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install ruby193-rubygem-archive-tar-minitar' returned 1: Error: Nothing to do

Any action to remediate it?

-- 
Jan Pazdziora
Principal Software Engineer, Identity Management Engineering, Red Hat


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]